<?php
class MyWeb_File_Languages_Languages extends MyWeb_File_Controller_Abstract
{
	
	
	private $_nameLanguage;
	private $_addContent;
	
	
	public function set_nameLanguage($language)
	{
		$this->_nameLanguage = $language;
	}
	
	public function get_nameLanguage()
	{
		return $this->_nameLanguage;
	}
	
	
	/**
	 * zakladni nastaveni
	 * Enter description here ...
	 */
	private function defaultSettings()
	{
		
	}
	
	
	public function __construct($path = null)
	{
		$this->defaultSettings();
		$this->_path = $path;	//*** pridano zajistuje pouziti nove cesty od uzivatele misto default
		$this->defaultSettingsPath($this->_default_path_languages_php);
		$this->set_typeFile('php');
		$this->_currentPrefix = 0;
		if (0 === strcmp($this->_filename, 'none')){
			$this->_filename = 'cs';
		}
	}
	
	/**
	 * 
	 * Metoda prida retezec do vysledneho souboru
	 * @param $content
	 */
	public function add_contentFile($content)
	{
		$this->_addContent = $content;
	}
	
	
	public function createContent()
	{
		$stringFile = "";
		$stringFile .= 
		'<?php return $en = array('				. "\n" .
		'\'Username\'	=> \'Username\','	. "\n" .
		'\'Name\'		=> \'Name\''		. "\n" .
		');'								. "\n";
		$this->set_contentFile($stringFile);
	}
	
}